		<?php 
		$data = $this->data->data;
		$no = (int)$this->data->awal;
		if($no == 0){
			$no = 1;
		}
		$asl = $no;
		foreach($data->data as $i){ 
		?>
			<tr class="barisManualGrid" id="barisManualGrid_<?php echo $no ?>" _no="<?php echo $no ?>" _pk="<?php echo $i->pk ?>">
				<td style="width: 30px">
					<div class="_manualGridTd" style="width: 30px; text-align: center">
						<input type="button" class="_buttonManualGrid" value="" title="Klik Untuk Memilih <?php echo $i->pk ?>" _pk="<?php echo $i->pk ?>">
					</div>
				</td>
				<td style="width: 30px">
					<div class="_manualGridTd" style="width: 30px">
						<input type="text" readonly class="_recManualGrid" _no="<?php echo $no ?>" value="<?php echo $no ?>" id="_nom_<?php echo $no ?>" _pk="<?php echo $i->pk ?>" style="width: 60px">
					</div>
				</td>
				<?php 		
				$basic = new Basic;
				$Code = new Kode;
				$Func = new DisplayFunc;
				$Select = new Select;
				foreach($this->data->set->grid->attr as $row){ 
					$_id = $basic->setIdAttr($row['attr']);
					
					if(strtoupper($row['type']) == strtoupper('date')){
						$i->$_id = date("d/m/Y", strtotime($i->$_id));
						if($i->$_id === '01/01/1970'){
							$i->$_id = '';
						}
					}
					if(strtoupper($row['type']) == strtoupper('numeric') || strtoupper($row['type']) == strtoupper('number')){
						$i->$_id = number_format($i->$_id, (int)$row['dec']);
					}
					
					if(!empty($row['model'])){
						$val = '';
						foreach($row['model'] as $k => $r){
							if(!empty($row['batasModel'])){
								if(!empty($val)){
									$val.= $row['batasModel'];
								}
							}
							$val.= $Code->getLeft($i->$k, $r, ' ');
						}
						$i->$_id = $val;
					}
					if(!empty($row['DisplayFunc'])){
						$funct = $row['DisplayFunc'];
						$i->$_id = $Func->$funct($i->$_id);
					}
					if(!empty($row['select'])){
						$select = $row['select'];
						$select = $Select->$select();
						$i->$_id = $select[$i->$_id];
					}
					$i->$_id = trim($i->$_id);
					if(empty($i->$_id)){
						if(strtoupper($row['type']) == strtoupper('numeric') || strtoupper($row['type']) == strtoupper('number') || $i->$_id === '0'){
						    $i->$_id = 0;
						}
						else{
						    $i->$_id = '&nbsp;';
						}
					}
				?>
					<td>
						<div class="_manualGridTd" style="width: <?php echo $row['width'] ?>px" align="<?php echo $row['align']?>">
							<input type="text" readonly class="_recManualGrid" value="<?php echo str_ireplace('"', "'", $i->$_id) ?>"  style="width: <?php echo $row['width'] ?>px; text-align: <?php echo $row['align'] ?>" _pk="<?php echo $i->pk ?>">
						</div>
					</td>
				<?php } ?>
			<tr/>
		<?php 
			$no++;
		} 
		$no = $no - 1;
		if($no < 0){
			$no = 0;
		}
		?>
<script type='text/javascript'>
$(document).ready(function(){
	$('#_labelGridKet').html("Jumlah Data <?php echo number_format($this->data->data->total) ?> Record");
	$('#_nom_<?php echo $asl ?>').focus();
	setManualGridFocus('<?php echo $asl ?>');
	$('#_noFirst').val('<?php echo $asl ?>');
	$('#_noLast').val('<?php echo $no ?>');
})
</script>